use serde::Deserialize;
use validator::{Validate};

#[derive(Deserialize)]
pub struct CategoryForm {
    pub name: String,
}

#[derive(Deserialize)]
pub struct ArticleForm {
    pub title: String,
    pub category_id: u32,
    pub content: String,
}


#[derive(Validate, Deserialize)]
pub struct UserSignForm {
    #[validate(email(message = "请输入正确格式的邮箱"))]
    pub email: String,
    #[validate(length(min = 6, message = "密码长度至少为 6"))]
    pub password: String,
}