use axum::Json;

use crate::common::extract::authorization::Authorization;
use crate::common::response::AppResponse;
use crate::common::Result;
use crate::entity::users;
use crate::form::UserSignForm;
use crate::service::user::UserService;

pub async fn userinfo(Authorization(jwt_claims): Authorization) -> Result<AppResponse<users::Model>> {
    let user = UserService::userinfo(jwt_claims.id).await?;
    Ok(AppResponse::from_data(user))
}

pub async fn sign_in(Json(jsn): Json<UserSignForm>) -> Result<String> {
    UserService::sign_in(jsn).await
}

pub async fn list() -> Result<AppResponse<Vec<users::Model>>> {
    let user = UserService::list().await?;
    Ok(AppResponse::from_data(user))
}