use tracing_subscriber::{EnvFilter, fmt};
use tracing_subscriber::fmt::time::LocalTime;
use tracing_subscriber::layer::SubscriberExt;
use tracing_subscriber::util::SubscriberInitExt;

pub fn init_trace_logger() {
    // 设置日志级别 根据RUST_LOG
    let env_filter = EnvFilter::try_from_default_env().unwrap_or_else(|_| EnvFilter::new("info"));

    let timer = LocalTime::rfc_3339();
    // 构建layer 控制台打印
    let console_layer = fmt::layer().with_timer(timer);

    tracing_subscriber::registry()
        .with(env_filter)
        .with(console_layer)
        .init();
}
