use axum::Router;
use axum::routing::get;

use crate::handler::category::{add, add_ui, articles, del, edit, edit_ui, index};

pub fn init_router() -> Router {
    Router::new()
        .route("/", get(index))
        .route(
            "/add",
            get(add_ui).post(add),
        )
        .route(
            "/edit/:id",
            get(edit_ui).post(edit),
        )
        .route("/del/:id", get(del))
        .route("/del/:id/:real", get(del))
        .route("/articles/:id", get(articles))
}
