mod article;
mod category;
mod user;

use axum::routing::get;
use crate::handler::{index};

pub fn init() -> axum::Router {
    let category_router = category::init_router();
    let article_router = article::init_router();
    let user_router = user::init_router();

    axum::Router::new()
        .route("/", get(index))
        .nest("/category", category_router)
        .nest("/article", article_router)
        .nest("/user", user_router)
}
